GET checks/browser/{checkId}/results/{resultId}/screenshots
Gets information about screenshots for a browser check result.
URL Parameters
| Name | Description |
|---|---|
| checkId | Check identifier. Type: numeric. |
| resultId | Check result identifier. Type: GUID. |
Remarks
The default context for the route is the user context. To enable customer context (if it's allowed for the user) use the request query parameter customer_context=1.Request example
curl --request GET "https://api-asm1.apica.io/v3/checks/browser/12345/results/b1d01c2d-341d-4b7b-be0c-02e290483fd4/screenshots?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E"
Response body model example and description
[
{
"id": "2f41f121-bbe9-4108-9457-b20e19ef6e4a",
"index": 0,
"timestamp_utc": "2024-09-27T10:56:46",
"image_type": "IMAGE/JPEG"
},
{
"id": "c8b0d3e8-c39f-4ce9-a671-c5b0cc7bdd53",
"index": 2,
"timestamp_utc": "2024-09-27T10:56:46",
"image_type": "IMAGE/JPEG"
},
{
"id": "0ae5214e-6acf-4dc8-81b1-cfe0a5fb13f6",
"index": 2,
"timestamp_utc": "2024-09-27T10:56:46",
"image_type": "IMAGE/JPEG"
}
]
| Name | Type | Description |
|---|---|---|
| id | Guid | Screenshot identifier. |
| index | Integer | Index of the screenshot in the list (starting from 0). |
| timestamp_utc | DateTime | Screenshot timestamp (in UTC). |
| image_type | String | Type of the screenshot image. |